# Method: photoSequence.get

- [HTTP request](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/get#body.request_body)
- [Response body](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/get#body.response_body)
- [Authorization scopes](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/get#body.aspect)
- [Try it!](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/get#try-it)

Gets the metadata of the specified `https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/create#PhotoSequence` via the `https://developers.google.com/streetview/publish/reference/rest/v1/Operation` interface.

This method returns the following three types of responses:

- `Operation.done` = false, if the processing of `https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/create#PhotoSequence` is not finished yet.
- `Operation.done` = true and `Operation.error` is populated, if there was an error in processing.
- `Operation.done` = true and `Operation.response` is poulated, which contains a `https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/create#PhotoSequence` message.

This method returns the following error codes:

- `https://developers.google.com/streetview/publish/reference/rest/v1/Code#ENUM_VALUES.PERMISSION_DENIED` if the requesting user did not create the requested `https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/create#PhotoSequence`.
- `https://developers.google.com/streetview/publish/reference/rest/v1/Code#ENUM_VALUES.NOT_FOUND` if the requested `https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/create#PhotoSequence` does not exist.

### HTTP request

`GET https://streetviewpublish.googleapis.com/v1/photoSequence/{sequenceId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `sequenceId` | `string` Required. ID of the photo sequence. |

### Query parameters

| Parameters ||
|---|---|
| `view (deprecated)` | ``enum (`https://developers.google.com/streetview/publish/reference/rest/v1/PhotoView`)`` Specifies if a download URL for the photo sequence should be returned in `downloadUrl` of individual photos in the `https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/create#PhotoSequence` response. > Note: Currently not implemented. |
| `filter` | `string` Optional. The filter expression. For example: `published_status=PUBLISHED`. The filters supported are: `published_status`. See <https://google.aip.dev/160> for more information. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/streetview/publish/reference/rest/v1/Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/streetviewpublish`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).